For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • Introduction
    • Welcome to Monite
    • Monite account structure
    • Postman collections
    • Support
  • Get started
    • Step 1. Get your credentials
    • Step 2. Implement server side
      • Analytics
      • Document number customization
      • Mailboxes
      • PDF templates
      • Text templates
      • Variables
LogoLogo
API StatusPartner Portal
On this page
  • Overview
  • PDF translation and localization
  • List the available templates
  • Get all system templates
  • Customize the templates with entity logo
  • Preview the templates
  • Set the default template
Advanced

PDF templates

Learn about Monite’s built-in PDF templates.

Was this page helpful?
Previous

Text templates

Learn how to manage template texts for invoice notes and customer-facing emails.

Next
Built with

Overview

Monite offers several built-in PDF templates for receivables and purchase orders, and entities can choose the default template for their documents.

The templates can also be customized to include the entity logo.

PDF translation and localization

Monite supports the translation and localization of PDF templates. PDF translation defines the language used on all Monite PDFs. PDF translation depends on both the entity’s and counterpart’s assigned language. For example, the original_file_language and file_language fields on Invoice and Quote objects represent the languages into which the PDF will be translated for entities and counterparts, respectively.

Monite provides translation of PDFs for counterparts in English, French, German, Spanish, and Dutch. The language field in the POST /counterparts and PATCH /counterparts/{counterpart_id} payloads accepts the ISO 639-1 standard and defines the language translation for all PDFs sent to the counterpart. If not provided, all PDFs sent to the counterpart are in English. For more information, see Create a counterpart.

Monite handles the formatting of delimiters and decimal separators on amounts displayed on the PDFs based on the entity’s country.

List the available templates

To get a list of available supported templates, call GET /document_templates:

1curl -X GET 'https://api.sandbox.monite.com/v1/document_templates' \
2 -H 'X-Monite-Version: 2024-05-25' \
3 -H 'X-Monite-Entity-Id: ENTITY_ID' \
4 -H 'Authorization: Bearer ACCESS_TOKEN'

The response contains a list of all PDF templates with their language codes and some other internal metadata. The fields of note are id (template ID), name (template name), preview.url (link to a preview image), and template (HTML content of the template). The template ID can be used later to set the default template.

1{
2 "data": [
3 {
4 "id": "94f9280b-d7d2-48ca-8290-3727d1b61861",
5 "created_at": "2024-01-08T11:47:35.451048",
6 "updated_at": "2024-01-08T11:47:35.451054",
7 "blocks": [],
8 "document_type": "receivable",
9 "is_default": false,
10 "language": "en",
11 "name": "classic",
12 "preview": {
13 "id": "d7a112ef-0ef7-4ea7-ba1b-cbbb99990d81",
14 "created_at": "2025-03-10T09:49:57.726721+00:00",
15 "updated_at": "2025-03-10T09:49:57.726729+00:00",
16 "file_type": "receivables",
17 "md5": "4ac4b4238fa2fb93746c0a1eee98ed74",
18 "mimetype": "image/png",
19 "name": "218fc898-ff4f-4783-af36-86f41a918738",
20 "region": "eu-central-1",
21 "s3_bucket": "monite-file-saver-sandbox-eu-central-1",
22 "s3_file_path": "sandbox/receivables/12345/67890.png",
23 "size": 235016,
24 "url": "https://<bucketname>.s3.amazonaws.com/sandbox/receivables/12345/67890.png"
25 },
26 "template": "<!doctype html>\n<html lang=\"en\" class=\"template-1\">\n...........</html>",
27 "template_type": "source_object"
28 },
29 ...
30 ]
31}

Get all system templates

System templates refer to Monite’s built-in PDF templates. To retrieve all Monite’s built-in PDF templates, call GET /document_templates/system:

1curl -X GET 'https://api.sandbox.monite.com/v1/document_templates/system' \
2 -H 'X-Monite-Version: 2024-05-25' \
3 -H 'X-Monite-Entity-Id: ENTITY_ID' \
4 -H 'Authorization: Bearer ACCESS_TOKEN'

Customize the templates with entity logo

PDFs templates for receivables include the entity logo. You can upload the logo by using PUT /entities/{entity_id}/logo:

1curl -X PUT 'https://api.sandbox.monite.com/v1/entities/aea39...912/logo' \
2 -H 'X-Monite-Version: 2024-05-25' \
3 -H 'Authorization: Bearer ACCESS_TOKEN' \
4 -F file=@path/to/image.png

Preview the templates

You can preview invoice templates as PDF or PNG.

To get the previews as PNG images, use the preview.url field of each template:

GET /document_templates
1{
2 "data": [
3 {
4 ...
5 "name": "classic",
6 "preview": {
7 ...
8 "url": "https://<bucketname>.s3.amazonaws.com/sandbox/receivables/12345/67890.png"
9 },
10 ...
11 },
12 {
13 ...
14 "name": "standard",
15 "preview": {
16 ...
17 "url": "https://<bucketname>.s3.amazonaws.com/sandbox/receivables/09876/54321.png"
18 },
19 ...
20 },
21 ...
22 ]
23}

To get the previews as PDF files, call GET /document_templates/{document_template_id}/preview with the template ID passed in the request URL. The response is a sample PDF invoice generated using the specified template.

1curl 'https://api.sandbox.monite.com/document_templates/94f9280b-d7d2-48ca-8290-3727d1b61861/preview' \
2 -H 'X-Monite-Version: 2024-05-25' \
3 -H 'X-Monite-Entity-Id: ENTITY_ID' \
4 -H 'Authorization: Bearer ACCESS_TOKEN' \
5 -o ./file.pdf

Set the default template

Entities can set or change the default PDF template at any time. The specified template will be used for all new receivables and purchase orders created by the entity. Existing PDFs previously generated by the entity are not affected.

To set the default template call POST /document_templates/{document_template_id}/make_default, replacing {document_template_id} with the ID of the desired template:

1curl -X POST 'https://api.sandbox.monite.com/v1/document_templates/{document_template_id}/make_default' \
2 -H 'X-Monite-Version: 2024-05-25' \
3 -H 'X-Monite-Entity-Id: ENTITY_ID' \
4 -H 'Authorization: Bearer ACCESS_TOKEN'